Bug 438207 - Dependency of gnome-packagekit
Dependency of gnome-packagekit
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-19 13:52 EDT by Zdenek Kabelac
Modified: 2008-04-01 02:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-01 02:10:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zdenek Kabelac 2008-03-19 13:52:03 EDT
Description of problem:

Do I have to soon remove whole gnome to not use extremely memory hungry packages
like PackageKit ? 

rpm -e gnome-packagekit-0.1.9-3.fc9.x86_64
error: Failed dependencies:
	/usr/bin/system-install-packages is needed by (installed)
system-config-printer-0.7.82.1-2.fc9.x86_64

Version-Release number of selected component (if applicable):
system-config-printer-0.7.82.1-2.fc9.x86_64


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:
No dependency on a package which eats 150MB and does nothing really useful most
of the time...

Additional info:
Comment 1 Tim Waugh 2008-03-27 07:16:11 EDT
system-config-printer needs to be able to install missing drivers, one way or
another.

If PackageKit pulls in more than it needs to, or uses more memory than it needs
to, that is a PackageKit problem.

Changing component and reassigning.
Comment 2 Richard Hughes 2008-03-27 13:17:55 EDT
PackageKit doesn't depend on gnome, but gnome-packagekit does. If you want to
remove gnome-packagekit, i guess you'll have to install a package that also
provides that file or remove system-config-printer.

Also, how exactly do you think PackageKit uses too much memory? It's only loaded
when needed and then quits when idle...
Comment 3 Matthias Clasen 2008-04-01 02:10:38 EDT
I don't think there is a bug that needs to be fixed here.

Note You need to log in before you can comment on or make changes to this bug.